
Redmine - Defect #6911

Viewing files or diff with mercurial gives an error

2010-11-16 16:05 - Simen Endsjø

Status: Closed Start date: 2010-11-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.0.2

Description

I can see all the files and revisions in the repository, but when I try to view files or diffs, I get an error: "The entry or revision was not

found in the repository.". The log file just says "500 Internal server error".

The repository is set up on the same disk as redmine, and referenced using "/pathto/repo"

I'm using Mercurial 1.6.4.

Related issues:

Related to Redmine - Defect #3743: Mercurial repository path on windows.... Closed 2009-08-15

Related to Redmine - Feature #7517: Configurable path of executable for scm a... Closed 2011-02-02

Has duplicate Redmine - Patch #3917: Fix for mercurial diff not working Closed 2009-09-24

History

#1 - 2010-11-16 17:09 - Holger Just

Please provide the information requested in SubmittingBugs, esp. the stack trace from the log file.

#2 - 2010-11-17 09:10 - Simen Endsjø

Btw, everything works when using hgweb.cgi, just not from redmine..

About your application's environment

Ruby version              1.8.7 (i386-mingw32)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          E:/webserver/redmine

Environment               development

Database adapter          mysql

Database schema version   0

About your Redmine plugins

Redmine Graphs plugin   0.1.0

 I'm using MySql 5.1.50

It's a clean install of redmine, no upgrade.

From production.log:

Processing RepositoriesController#entry (for 192.168.10.36 at 2010-11-17 09:12:09) [GET]

  Parameters: {"action"=>"entry", "id"=>"myproject", "path"=>[".hgignore"], "controller"=>"repositories"}

Rendering template within layouts/base

Completed in 1000ms (View: 47, DB: 16) | 500 Internal Server Error [http://myserver/projects/myproject/reposit

ory/entry/.hgignore]

#3 - 2010-11-18 12:25 - Simen Endsjø

Ok, some parts actually works...

Diff for a whole revision works. I'm able to see all the changes in each file. But viewing a file or diffs in a single file fails..
#4 - 2010-11-18 23:30 - Toshi MARUYAMA

Do you use "file://" on Redmine setting?

Please see #3917.

#5 - 2010-11-19 09:57 - Simen Endsjø

No, just /pathto/repo.

#6 - 2010-11-19 11:00 - Toshi MARUYAMA

Try full path on Windows such as "E:/pathto/repo".

#7 - 2010-11-19 11:05 - Simen Endsjø

How can I change this? The field is not editable.. Do I have to change it directly in the database?

#8 - 2010-11-19 11:11 - Toshi MARUYAMA

You can delete repository with "Delete" button.

And re-add repository.

#9 - 2010-11-19 11:47 - Simen Endsjø

Great, thanks! That solved the problems.

I was a bit intimidated by the Delete button :) It's named delete, and links to destroy :)

#10 - 2010-11-19 12:18 - Toshi MARUYAMA

- Status changed from New to Resolved

My pleasure.

Current redmine mercurial adapter has many problems.

Could you try Yuya's MQ?

Please see http://www.redmine.org/boards/2/topics/15618?r=19227#message-19227

#11 - 2011-02-04 05:44 - Toshi MARUYAMA

- Status changed from Resolved to Closed
